/* Copyright (c) 2001-2004 by SoftIntegration, Inc. All Rights Reserved */
/* This is an example of the function wcwidth(const wchar_t).  This
   returns the width of the wide character.
*/
#include <wchar.h>
#include <stdlib.h>

int main() { 
    wchar_t c;        
    int retval,len;
    c='a';

    printf("Wide character: ");
    fputwc(c, stdout);
    printf("\n");
    retval = wcwidth(c);
    printf("wcwidth(wc) = %d\n", retval);
}

